package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ForeignKey;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.Table;

/**
 * @author amit.patel
 *
 */
@Entity
@Table(name = "user_reset_password_hst")
public class UserResetPasswordHst implements Serializable {

/*	Table: user
	-------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra   Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     (NULL)                     select,insert,update,references           
	user_id                 varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                     select,insert,update,references
	in_time      		    timestamp     (NULL)             YES             (NULL)                     select,insert,update,references           
	expiry_time			    int(2)        (NULL)             YES             (NULL)                     select,insert,update,references
	tocken                  varchar(200)   latin1_swedish_ci  YES             (NULL)                     select,insert,update,references
*/
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Id
	@Column(name="user_id")
	private String userId;
	
	@Column(name="in_time")
	private Date inTime;
	
	@Column(name="expiry_time")
	private Integer expiryTime;
	
	@Column(name="token")
	private String token;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp_request")
	private Date sysdateTimestampRequest;
	
	@Column(name="sysdate_timestamp_actedon")
	private Date sysdateTimestampActedOn;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Date getInTime() {
		return inTime;
	}

	public void setInTime(Date inTime) {
		this.inTime = inTime;
	}

	public Integer getExpiryTime() {
		return expiryTime;
	}

	public void setExpiryTime(Integer expiryTime) {
		this.expiryTime = expiryTime;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestampRequest() {
		return sysdateTimestampRequest;
	}

	public void setSysdateTimestampRequest(Date sysdateTimestampRequest) {
		this.sysdateTimestampRequest = sysdateTimestampRequest;
	}

	public Date getSysdateTimestampActedOn() {
		return sysdateTimestampActedOn;
	}

	public void setSysdateTimestampActedOn(Date sysdateTimestampActedOn) {
		this.sysdateTimestampActedOn = sysdateTimestampActedOn;
	}
		
}
